/**
 * @name TEMPLATE CSS
 */

/* Inicio Menu Secundario  */
.upaep__dropdown {
  &.__mark {
    & .upaep__dropdown-item.is-active {
      &::after {
        content: "";
      }
    }
  }
}

li.upaep__navbar-item {
  list-style-type: none;
}

/* Fin Menu Secundario  */

/**/
a.upaep__navbar-link.upaep__dropdown-btn.__link {
  margin: 10px;
}
li.upaep__navbar-item.upaep__dropdown.__mark {
  list-style-type: none;
}

ul#menu_secundario {
  display: flex;
  justify-content: right;
  align-items: center;
  margin: 0;
  width: 85%;
}

.upaep__navbar-primary-inner {
  position: absolute;
  right: 0;
  left: 0;
}

*::-webkit-scrollbar {
  width: 10px;
  border-radius: 50px;
  margin: 0 0 0 5px;
}

*::-webkit-scrollbar-track {
  background: var(--upaep-gradient-white);
  border-radius: 50px;
}

*::-webkit-scrollbar-thumb {
  background: var(--upaep-color-red);
  border-radius: 50px;
}

*::-moz-scrollbar {
  width: 10px;
  border-radius: 50px;
  margin: 0 0 0 5px;
}

*::-moz-scrollbar-track {
  background: var(--upaep-gradient-white);
  border-radius: 50px;
}

*::-moz-scrollbar-thumb {
  background: var(--upaep-color-red);
  border-radius: 50px;
}

* {
  scrollbar-color: var(--upaep-color-red) var(--upaep-gradient-white);
  scrollbar-width: thin;
  scrollbar-base-color: var(--upaep-gradient-white);
  font-family: var(--upaep-ff-fira-sans);
}

/* .offcanvasMenu.show{
    animation: zoomIn 1s;
    transition: none;
} */

.swiper {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  display: flex;
  justify-content: center;
}

.swiper-button-prev.__caret::after {
  content: "\f0d9" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__caret::after {
  content: "\f0da" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__caret-square::after {
  content: "\f191" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__caret-square::after {
  content: "\f152" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__angles::after {
  content: "\f100" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__angles::after {
  content: "\f101" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__chevron::after {
  content: "\f053" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__chevron::after {
  content: "\f054" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__chevron-circle::after {
  content: "\f137" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__chevron-circle::after {
  content: "\f138" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__arrow::after {
  content: "\f060" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__arrow::after {
  content: "\f061" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-prev.__arrow-circle::after {
  content: "\f0a8" !important;
  font-family: "FontAwesome" !important;
}

.swiper-button-next.__arrow-circle::after {
  content: "\f0a9" !important;
  font-family: "FontAwesome" !important;
}

.swiperUpress {
  --swiper-pagination-color: var(--upaep-color-red);
  --swiper-pagination-bullet-size: 8px;
  --swiper-pagination-bullet-width: 15px;
  --swiper-pagination-bullet-height: 15px;
  --swiper-pagination-bullet-inactive-color: var(--upaep-color-white);
  --swiper-pagination-bullet-inactive-opacity: 1;
  --swiper-pagination-bullet-opacity: 1;
  --swiper-pagination-bullet-horizontal-gap: 4px;
  --swiper-pagination-bullet-vertical-gap: 6px;
}

/* Menu temporal */

.menu_principal_temporal {
  display: block;
  padding: 40px;
  list-style: disc;
}

.menu_principal_temporal .list-unstyled {
  padding: revert;
  list-style: circle;
}

.menu_principal_temporal a {
  color: #020202;
  font-size: 18px;
}

.menu-search .gsc-input {
  padding: 0 !important;
}

.menu-search .gsc-input-box {
  border-radius: 25px 0 0 25px;
  height: 35px;
}

.menu-search .gsc-search-box td {
  height: 100%;
}

.menu-search .gsc-search-button-v2 {
  height: 35px;
  border-radius: 0 25px 25px 0;
  padding: 10px 15px;
}

.menu-search--movil .gsc-input {
  padding: 0 !important;
}

.menu-search--movil .gsc-input-box {
  border-radius: 25px 0 0 25px;
  height: 35px;
}

.menu-search--movil .gsc-search-box td {
  height: 100%;
}

.menu-search--movil .gsc-search-button-v2 {
  height: 35px;
  border-radius: 0 25px 25px 0;
  padding: 10px 15px;
}

/* Header */

main {
  position: relative;
  float: left;
  width: 100%;
}

section.header__titulo--movil {
  display: none;
}

header {
  background-color: none;
  position: relative;
  float: left;
  width: 100%;
  z-index: 1;
}

.header__down {
  background: var(--colordark);
  color: var(--colorgrey4);
  font-size: var(--upaep-fz14);
}

.header__logo {
  position: relative;
  float: left;
  padding: 15px;
}

.header__logo img {
  width: 130px;
}

.header__titulo {
  color: #4d4d4d;
  font-size: 25px;
  text-transform: uppercase;
  font-weight: bold;
  position: relative;
  float: left;
  padding-left: 25px;
  padding: 15px;
}

.header__menu {
  position: relative;
  float: right;
  text-align: right;
  background-color: #e10023;
  font-weight: 400;
  padding: 22px;
  color: #fff;
  padding-left: 27px;
  height: 68px;
  display: flex;
  cursor: pointer;
}

.header__menu::before {
  content: "";
  position: absolute;
  left: -22px;
  width: 43px;
  height: 68px;
  background: #e10023;
  transform: skew(328deg);
  top: 0px;
}

.header__menu i {
  font-size: 23px;
}

/* upaep__header */

.upaep__header__titulo_d {
  text-transform: uppercase;
}

.upaep__header {
  width: 100%;
  height: auto;
  /* background: var(--colorgrey4); */
}

.upaep__header__up {
  width: 100%;
  height: 65px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.upaep__header__logo {
  margin: 0 1rem;
  padding: 10px 15px;
}

.upaep__header__logo img {
  width: 130px;
}

.upaep__header__titulo_d {
  color: var(--upaep-color-dark-grey);
  font-size: var(--upaep-fz28);
  font-weight: bold;
  margin: 0;
}

.upaep__header__left {
  display: flex;
  align-items: center;
}

.upaep__header__rigth {
  width: 150px;
  height: 100%;
  background: var(--upaep-color-red);
  display: flex;
  align-items: center;
  justify-content: center;
  clip-path: polygon(25% 0%, 100% 0%, 100% 100%, 0% 100%);
  cursor: pointer;
}

.upaep__header__menu span {
  color: var(--upaep-color-white);
  font-size: 15px;
  font-weight: bold;
  margin: 0 0 0 1.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.upaep__header__menu span::after {
  font-family: "FontAwesome";
  content: "\f0c9";
  margin: 0 5px;
  font-size: 22px;
}

.upaep__header__down {
  width: 100%;
  height: 40px;
  background: var(--colordark);
  display: flex;
  align-items: center;
}

.upaep__header__titulo_m {
  color: var(--upaep-color-white);
  font-size: var(--upaep-fz20);
  font-weight: bold;
  margin: 0 1rem;
  display: flex;
  align-items: center;
  height: 100%;
}

/* Menu */

.menu {
  height: 100%;
  width: 0%;
  position: fixed;
  z-index: 9999;
  top: 0;
  right: 0;
  background-color: #000000;
  overflow: hidden;
  overflow-x: hidden;
  transition: 0.5s;
  display: grid;
}

.menu.is-active {
  width: 100%;
}

.menu__close {
  position: absolute;
  top: 20px;
  right: 20px;
  font-size: 43px;
  color: #ffff;
  cursor: pointer;
}

/* .menu__list {
    align-self: center;
    justify-self: center;
    border-left: 4px solid #ab0909;
    padding-left: 30px;
    padding-bottom: 15px;
    padding-top: 15px;
} */

/* .menu__item, .menu__item:hover {
    font-size: 1.6rem;
    font-weight: bold;
    color: #fff;
    margin-bottom: 15px;
    cursor: pointer;
    display: block;
    text-decoration: none;
} */

.header__menu span {
  text-transform: uppercase;
  padding-right: 11px;
  font-weight: 300;
}

/* Inicio Footer */

footer {
  background-color: #000;
  position: relative;
  float: left;
  width: 100%;
  padding-bottom: 40px;
  padding-top: 40px;
  z-index: 10;
}

ol.footer__list {
  list-style: none;
  padding: 0px;
  margin-bottom: 30px;
}

ol.footer__list a {
  color: #ddd;
  font-size: 15px;
  font-weight: 300;
  text-decoration: none;
}

ol.footer__list li {
  margin-bottom: 14px;
}

ol.footer__list i {
  margin-left: 12px;
}

ol.footer__list i {
  padding-right: 10px;
  color: #d50000;
}

.footer__logo img {
  width: 130px;
}

.footer__logo {
  text-align: center;
}

.footer__direccion {
  text-align: center;
  font-size: 12px;
  margin-bottom: 20px;
  margin-top: 20px;
  color: #ddd;
}

.footer__telefono {
  text-align: center;
  font-size: 17px;
  margin-bottom: 20px;
  margin-top: 20px;
  color: #fff;
  font-weight: bold;
}

.footer__redessociales {
  text-align: left;
  font-size: 16px;
  margin-top: 20px;
  color: #ddd;
  font-weight: bold;
  position: relative;
  float: left;
  margin-bottom: 40px;
  width: 100%;
  padding-left: 50px;
}

.footer__redessociales img {
  width: 32px;
}

.footer__redessociales a {
  width: 100px;
  display: block;
  float: left;
  margin-bottom: 20px;
}

.footer__banner {
  position: relative;
  float: left;
  width: 100%;
  padding-left: 50px;
}

.footer__banner img {
  width: 190px;
}

/* Fin Footer */

.upaep__card.__news .upaep__card-content .content {
  height: 75px;
  text-align: center !important;
}

.upaep__card.__news .upaep__card-content .content span {
  -webkit-box-orient: vertical;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  overflow: hidden;
}

.upaep__card.__news .upaep__card-content {
  padding: 0rem !important;
  padding-top: 1.2rem !important;
  padding-bottom: 1.3rem !important;
}

/* Inicio boton idioma */

.upaep__button__language img {
  width: 33px;
  cursor: pointer;
}

.upaep__header__center {
  position: absolute;
  right: 11rem;
}

img.escritorio {
  display: block;
}

img.movil {
  display: none;
}

/* Final boton idioma  */

.upaep__accordion_header.__input a,
div#busqueda a {
  display: none;
}

.menu-search {
  width: 100%;
}

.menu-search--movil > div {
  width: 300px !important;
}

.menu-search--movil > div > div {
  padding: 0px;
  width: 100% !important;
}

@media (max-width: 900px) {
  .menu {
    overflow: auto;
  }

  /* Inicio footer*/

  .upaep__footer_redessociales {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 0px;
    width: 100%;
    justify-content: center;
    margin: 0 auto;
  }

  .upaep-footer {
    text-align: center;
  }

  .upaep__footer_siguenos a {
    width: 13% !important;
    margin: 8px !important;
  }

  .upaep__footer_telefono {
    width: 74% !important;
  }

  /* .upaep__list .upaep__list-item {
        justify-content: center;
    } */
}

@media only screen and (max-width: 768px) and (min-width: 300px) {
  .upaep__header__center {
    right: 20px;
    top: 70px;
  }

  .upaep__button__language {
    background: var(--colordark);
    border-radius: 50%;
    padding: 5px;
  }

  .upaep__button__language img {
    width: 22px;
  }

  img.escritorio {
    display: none;
  }

  img.movil {
    display: block;
  }

  .upaep__header__rigth {
    width: 122px;
  }

  .upaep__header__menu span {
    margin: 0 0 0 0.7rem;
  }

  .upaep__header__titulo_m {
    text-transform: uppercase;
    margin: 0 20px;
  }

  .upaep__header__logo {
    margin: 0 18px;
    padding: 10px 0;
  }

  .upaep__header__down {
    height: auto;
  }

  .upaep__header__titulo_m {
    height: auto;
  }

  .upaep__header__down {
    padding: 10px 0px;
  }

  .upaep__footer_banners {
    width: 100%;
    height: auto;
    padding: 0 2rem;
    text-align: center;
  }

  .upaep__footer__up_content {
    width: 100%;
    height: auto;
    /* padding: 1rem; */
    display: flex;
    justify-content: space-around;
    margin: 0 auto;
    flex-direction: row;
    flex-wrap: wrap;
  }

  /* Inicio footer*/

  .upaep__footer_redessociales {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 0px;
    width: 100%;
    justify-content: center;
    margin: 0 auto;
  }

  .upaep-footer {
    text-align: center;
  }

  .upaep__footer_siguenos a {
    width: 13% !important;
    margin: 8px !important;
  }

  .upaep__footer_telefono {
    width: 74% !important;
  }

  /* .upaep__list .upaep__list-item {
        justify-content: center;
    } */
}

/* Menú desktop por defecto */
.upaep__navbar-collapse {
  display: block;
}
.upaep__menu-button {
  display: none;
}

/* Menú hamburguesa en móvil */
@media screen and (max-width: 991px) {
  .upaep__menu-button {
    display: flex;
    background-color: #e30613;
    color: white;
    font-weight: bold;
    padding: 10px 20px;
    cursor: pointer;
    justify-content: space-between;
    align-items: center;
  }

  .upaep__navbar-collapse {
    position: fixed;
    top: 0;
    right: -100%;
    width: 100%;
    height: 100vh;
    background: white;
    padding: 20px;
    z-index: 9999;
    overflow-y: auto;
    transition: right 0.3s ease-in-out;
  }

  .upaep__navbar-collapse.open {
    right: 0;
  }

  .upaep__dropdown-menu {
    display: none;
  }

  .upaep__navbar-item.open .upaep__dropdown-menu {
    display: block;
  }

  .upaep__navbar-items {
    display: flex;
    flex-direction: column;
    gap: 15px;
  }
}
